package com.supervision.police.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import java.io.Serializable;
import java.util.List;

/**
 * 指标表(ModelIndex)表实体类
 *
 * @author qmy
 * @since 2024-07-05 09:20:10
 */
@Data
@TableName("model_index")
public class ModelIndex implements Serializable {

    @TableId
    private String id;
    
    /**
     * 指标名称
     */
    private String name;
    
    /**
     * 指标简称
     */
    private String shortName;
    
    /**
     * 指标说明
     */
    private String remark;
    
    /**
     * 指标类别
     */
    private String indexType;
    @TableField(exist = false)
    private String indexTypeName;
    
    /**
     * 指标分数
     */
    private Integer indexScore;
    
    /**
     * 原子指标数量
     */
    private Integer atomicIndexNum;
    @TableField(exist = false)
    private List<ModelAtomicIndex> atomicIndexList;
    /**
     * 案件类型
     */
    private String caseType;
    @TableField(exist = false)
    private String caseTypeName;
    
    /**
     * 判断逻辑
     */
    private String judgeLogic;
    
    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
    
    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;
    @TableField(exist = false)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateStartTime;
    @TableField(exist = false)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateEndTime;
    
    /**
     * 数据状态
     */
    private String dataStatus;

}

