package com.supervision.police.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import java.io.Serializable;

/**
 * 指标结果表(ModelIndexResult)表实体类
 *
 * @author qmy
 * @since 2024-07-09 18:09:24
 */
@Data
@TableName("model_index_result")
public class ModelIndexResult implements Serializable {

    @TableId
    private String id;
    
    /**
     * 案件id
     */
    private String caseId;
    
    /**
     * 指标id
     */
    private String indexId;
    
    /**
     * 指标结果 true/false
     */
    private String indexResult;
    
    /**
     * 原子指标ids
     */
    private String atomicIds;
    
    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

}

