package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@TableName(value = "note_record")
@Data
public class NoteRecord implements Serializable {

    /**
     * 主键ID
     */
    @TableId
    private String id;

    /**
     * 案件id
     */
    private String caseId;

    /**
     * 人员名称
     */
    private String personName;

    /**
     * 笔录名称
     */
    private String noteName;

    /**
     * 问题
     */
    private String question;

    /**
     * 回答
     */
    private String answer;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 笔录类型(总结)
     */
    private String recordType;

    /**
     * 笔录类型id
     */
    @TableField(exist = false)
    private String recordTypeId;

    /**
     * 完整笔录id
     */
    private String noteRecordsId;

}
