package com.supervision.springaidemo.util;

import cn.hutool.core.util.CharUtil;
import cn.hutool.core.util.StrUtil;
import com.supervision.springaidemo.dto.QARecordNodeDTO;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * 正则提取问答
 */
public class RecordRegexUtil {

    // 创建正则表达式Pattern对象，允许问题和答案之间有任意数量的换行符
    private static final Pattern pattern = Pattern.compile("(问：)(.*?)(答：)(.*?)(?=问：|\n$)", Pattern.DOTALL);


    public static List<QARecordNodeDTO> recordRegex(String content, String answerName) {
        List<QARecordNodeDTO> qaList = new ArrayList<>();
        // 创建Matcher对象
        Matcher matcher = pattern.matcher(content);
        // 循环找到所有匹配项
        while (matcher.find()) {
            // 提取问题和答案
            String question = matcher.group(2).trim();
            String answer = matcher.group(4).trim();
            QARecordNodeDTO qaRecordNodeDTO = new QARecordNodeDTO();
            qaRecordNodeDTO.setQuestion("办案警官问：" + StrUtil.removeAll(question, CharUtil.SPACE, CharUtil.CR, CharUtil.LF));
            qaRecordNodeDTO.setAnswer(answerName + "回答：" + StrUtil.removeAll(answer, CharUtil.SPACE, CharUtil.CR, CharUtil.LF));
            qaList.add(qaRecordNodeDTO);
        }
        return qaList;
    }

}
